%define upstream_name	 Wx
%define upstream_version 0.9932

%{?perl_default_filter}
# Do not export private modules and libraries
%global __provides_exclude %{?__provides_exclude:%__provides_exclude|}^perl\\(MY\\)

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 14

Summary:    Interface to the wxWidgets GUI toolkit
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Wx/%{upstream_name}-%{upstream_version}.tar.gz
Patch0:     Wx-0.9932-Undefine-BOM_UTF8.patch

BuildRequires: perl(Alien::wxWidgets) >= 0.250.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.460.0
BuildRequires: perl-ExtUtils-MakeMaker
BuildRequires: perl(ExtUtils::ParseXS) >= 3.150.0
BuildRequires: perl(ExtUtils::XSpp) >= 0.160.200
BuildRequires: perl(File::Spec::Functions) >= 0.820.0
BuildRequires: perl(Test::Harness) >= 2.260.0
BuildRequires: perl(Test::More) >= 0.450.0
BuildRequires: perl(if) >= 0.30.0
BuildRequires: wxgtku2.8-devel
BuildRequires: perl-devel
# Olivier Thauvin
# https://qa.mandriva.com/show_bug.cgi?id=43053
# This hudge list come from all XS
# find req/prov are unable at time to list XS package :\
Provides:   perl(Wx::AboutDialogInfo)
Provides:   perl(Wx::AcceleratorEntry)
Provides:   perl(Wx::AcceleratorTable)
Provides:   perl(Wx::ActivateEvent)
Provides:   perl(Wx::ANIHandler)
Provides:   perl(Wx::Animation)
Provides:   perl(Wx::AnimationCtrl)
Provides:   perl(Wx::_App)
Provides:   perl(Wx::App)
Provides:   perl(Wx::ArchiveFSHandler)
Provides:   perl(Wx::ArrayStringProperty)
Provides:   perl(Wx::ArtProvider)
Provides:   perl(Wx::AUI)
Provides:   perl(Wx::AuiManager)
Provides:   perl(Wx::AuiManagerEvent)
Provides:   perl(Wx::AuiNotebook)
Provides:   perl(Wx::AuiNotebookEvent)
Provides:   perl(Wx::AuiPaneInfo)
Provides:   perl(Wx::AutoBufferedPaintDC)
Provides:   perl(Wx::BannerWindow)
Provides:   perl(Wx::BestHelpController)
Provides:   perl(Wx::Bitmap)
Provides:   perl(Wx::BitmapButton)
Provides:   perl(Wx::BitmapComboBox)
Provides:   perl(Wx::BitmapDataObject)
Provides:   perl(Wx::BitmapToggleButton)
Provides:   perl(Wx::BMPHandler)
Provides:   perl(Wx::BookCtrl)
Provides:   perl(Wx::BookCtrlEvent)
Provides:   perl(Wx::BoolProperty)
Provides:   perl(Wx::BoxSizer)
Provides:   perl(Wx::Brush)
Provides:   perl(Wx::BufferedDC)
Provides:   perl(Wx::BufferedPaintDC)
Provides:   perl(Wx::BusyCursor)
Provides:   perl(Wx::BusyInfo)
Provides:   perl(Wx::Button)
Provides:   perl(Wx::CalendarCtrl)
Provides:   perl(Wx::CalendarDateAttr)
Provides:   perl(Wx::CalendarEvent)
Provides:   perl(Wx::Caret)
Provides:   perl(Wx::CaretSuspend)
Provides:   perl(Wx::CheckBox)
Provides:   perl(Wx::CheckListBox)
Provides:   perl(Wx::ChildFocusEvent)
Provides:   perl(Wx::CHMHelpController)
Provides:   perl(Wx::Choice)
Provides:   perl(Wx::Choicebook)
Provides:   perl(Wx::ClassInfo)
Provides:   perl(Wx::Client)
Provides:   perl(Wx::ClientDC)
Provides:   perl(Wx::Clipboard)
Provides:   perl(Wx::ClipboardTextEvent)
Provides:   perl(Wx::CloseEvent)
Provides:   perl(Wx::CollapsiblePane)
Provides:   perl(Wx::CollapsiblePaneEvent)
Provides:   perl(Wx::Colour)
Provides:   perl(Wx::ColourData)
Provides:   perl(Wx::ColourDatabase)
Provides:   perl(Wx::ColourDialog)
Provides:   perl(Wx::ColourPickerCtrl)
Provides:   perl(Wx::ColourPickerEvent)
Provides:   perl(Wx::ColourProperty)
Provides:   perl(Wx::ColourPropertyValue)
Provides:   perl(Wx::ComboBox)
Provides:   perl(Wx::ComboCtrl)
Provides:   perl(Wx::ComboPopup)
Provides:   perl(Wx::Command)
Provides:   perl(Wx::CommandEvent)
Provides:   perl(Wx::CommandLinkButton)
Provides:   perl(Wx::CommandProcessor)
Provides:   perl(Wx::ConfigBase)
Provides:   perl(Wx::Connection)
Provides:   perl(Wx::ContextHelp)
Provides:   perl(Wx::ContextHelpButton)
Provides:   perl(Wx::ContextMenuEvent)
Provides:   perl(Wx::Control)
Provides:   perl(Wx::ControlWithItems)
Provides:   perl(Wx::CURHandler)
Provides:   perl(Wx::Cursor)
Provides:   perl(Wx::CursorProperty)
Provides:   perl(Wx::DataFormat)
Provides:   perl(Wx::DatagramSocket)
Provides:   perl(Wx::DataObject)
Provides:   perl(Wx::DataObjectComposite)
Provides:   perl(Wx::DataObjectSimple)
Provides:   perl(Wx::DataView)
Provides:   perl(Wx::DataViewBitmapRenderer)
Provides:   perl(Wx::DataViewColumn)
Provides:   perl(Wx::DataViewCtrl)
Provides:   perl(Wx::DataViewDateRenderer)
Provides:   perl(Wx::DataViewEvent)
Provides:   perl(Wx::DataViewIconText)
Provides:   perl(Wx::DataViewIconTextRenderer)
Provides:   perl(Wx::DataViewIndexListModel)
Provides:   perl(Wx::DataViewItem)
Provides:   perl(Wx::DataViewItemAttr)
Provides:   perl(Wx::DataViewListCtrl)
Provides:   perl(Wx::DataViewListStore)
Provides:   perl(Wx::DataViewModel)
Provides:   perl(Wx::DataViewModelNotifier)
Provides:   perl(Wx::DataViewProgressRenderer)
Provides:   perl(Wx::DataViewRenderer)
Provides:   perl(Wx::DataViewSpinRenderer)
Provides:   perl(Wx::DataViewTextRenderer)
Provides:   perl(Wx::DataViewTextRendererAttr)
Provides:   perl(Wx::DataViewToggleRenderer)
Provides:   perl(Wx::DataViewTreeCtrl)
Provides:   perl(Wx::DataViewTreeStore)
Provides:   perl(Wx::DataViewVirtualListModel)
Provides:   perl(Wx::DateEvent)
Provides:   perl(Wx::DatePickerCtrl)
Provides:   perl(Wx::DateProperty)
Provides:   perl(Wx::DateSpan)
Provides:   perl(Wx::DateTime)
Provides:   perl(Wx::DC)
Provides:   perl(Wx::DCClipper)
Provides:   perl(Wx::DCOverlay)
Provides:   perl(Wx::Dialog)
Provides:   perl(Wx::DirDialog)
Provides:   perl(Wx::DirPickerCtrl)
Provides:   perl(Wx::DirProperty)
Provides:   perl(Wx::Display)
Provides:   perl(Wx::DocChildFrame)
Provides:   perl(Wx::DocManager)
Provides:   perl(Wx::DocMDIChildFrame)
Provides:   perl(Wx::DocMDIParentFrame)
Provides:   perl(Wx::DocParentFrame)
Provides:   perl(Wx::DocTemplate)
Provides:   perl(Wx::Document)
Provides:   perl(Wx::DropFilesEvent)
Provides:   perl(Wx::DropSource)
Provides:   perl(Wx::DropTarget)
Provides:   perl(Wx::EditableListBox)
Provides:   perl(Wx::EditEnumProperty)
Provides:   perl(Wx::EnumProperty)
Provides:   perl(Wx::EraseEvent)
Provides:   perl(Wx::Event)
Provides:   perl(Wx::EventBlocker)
Provides:   perl(Wx::EventFilter)
Provides:   perl(Wx::EvtHandler)
Provides:   perl(Wx::FileConfig)
Provides:   perl(Wx::FileCtrl)
Provides:   perl(Wx::FileCtrlEvent)
Provides:   perl(Wx::FileDataObject)
Provides:   perl(Wx::FileDialog)
Provides:   perl(Wx::FileDirPickerEvent)
Provides:   perl(Wx::FileDropTarget)
Provides:   perl(Wx::FileHistory)
Provides:   perl(Wx::FilePickerCtrl)
Provides:   perl(Wx::FileProperty)
Provides:   perl(Wx::FileSystem)
Provides:   perl(Wx::FileSystemHandler)
Provides:   perl(Wx::FileType)
Provides:   perl(Wx::FileTypeInfo)
Provides:   perl(Wx::FindDialogEvent)
Provides:   perl(Wx::FindReplaceData)
Provides:   perl(Wx::FindReplaceDialog)
Provides:   perl(Wx::FlagsProperty)
Provides:   perl(Wx::FlexGridSizer)
Provides:   perl(Wx::FloatProperty)
Provides:   perl(Wx::FocusEvent)
Provides:   perl(Wx::Font)
Provides:   perl(Wx::FontData)
Provides:   perl(Wx::FontDialog)
Provides:   perl(Wx::FontEnumerator)
Provides:   perl(Wx::FontMapper)
Provides:   perl(Wx::FontPickerCtrl)
Provides:   perl(Wx::FontPickerEvent)
Provides:   perl(Wx::FontProperty)
Provides:   perl(Wx::Frame)
Provides:   perl(Wx::FSFile)
Provides:   perl(Wx::Gauge)
Provides:   perl(Wx::GBPosition)
Provides:   perl(Wx::GBSizerItem)
Provides:   perl(Wx::GBSpan)
Provides:   perl(Wx::GCDC)
Provides:   perl(Wx::GenericDirCtrl)
Provides:   perl(Wx::GIFHandler)
Provides:   perl(Wx::GraphicsBrush)
Provides:   perl(Wx::GraphicsContext)
Provides:   perl(Wx::GraphicsFont)
Provides:   perl(Wx::GraphicsGradientStop)
Provides:   perl(Wx::GraphicsGradientStops)
Provides:   perl(Wx::GraphicsMatrix)
Provides:   perl(Wx::GraphicsObject)
Provides:   perl(Wx::GraphicsPath)
Provides:   perl(Wx::GraphicsPen)
Provides:   perl(Wx::GraphicsRenderer)
Provides:   perl(Wx::Grid)
Provides:   perl(Wx::GridBagSizer)
Provides:   perl(Wx::GridCellAttr)
Provides:   perl(Wx::GridCellAutoWrapStringEditor)
Provides:   perl(Wx::GridCellAutoWrapStringRenderer)
Provides:   perl(Wx::GridCellBoolEditor)
Provides:   perl(Wx::GridCellBoolRenderer)
Provides:   perl(Wx::GridCellChoiceEditor)
Provides:   perl(Wx::GridCellCoords)
Provides:   perl(Wx::GridCellDateTimeRenderer)
Provides:   perl(Wx::GridCellEditor)
Provides:   perl(Wx::GridCellEnumEditor)
Provides:   perl(Wx::GridCellEnumRenderer)
Provides:   perl(Wx::GridCellFloatEditor)
Provides:   perl(Wx::GridCellFloatRenderer)
Provides:   perl(Wx::GridCellNumberEditor)
Provides:   perl(Wx::GridCellNumberRenderer)
Provides:   perl(Wx::GridCellRenderer)
Provides:   perl(Wx::GridCellStringRenderer)
Provides:   perl(Wx::GridCellTextEditor)
Provides:   perl(Wx::GridEditorCreatedEvent)
Provides:   perl(Wx::GridEvent)
Provides:   perl(Wx::GridRangeSelectEvent)
Provides:   perl(Wx::GridSizeEvent)
Provides:   perl(Wx::GridSizer)
Provides:   perl(Wx::GridTableBase)
Provides:   perl(Wx::GridTableMessage)
Provides:   perl(Wx::GridUpdateLocker)
Provides:   perl(Wx::HeaderColumn)
Provides:   perl(Wx::HeaderColumnSimple)
Provides:   perl(Wx::HeaderCtrl)
Provides:   perl(Wx::HeaderCtrlEvent)
Provides:   perl(Wx::HeaderCtrlSimple)
Provides:   perl(Wx::HelpControllerBase)
Provides:   perl(Wx::HelpControllerHelpProvider)
Provides:   perl(Wx::HelpEvent)
Provides:   perl(Wx::HelpProvider)
Provides:   perl(Wx::HScrolledWindow)
Provides:   perl(Wx::HtmlCell)
Provides:   perl(Wx::HtmlCellEvent)
Provides:   perl(Wx::HtmlColourCell)
Provides:   perl(Wx::HtmlContainerCell)
Provides:   perl(Wx::HtmlDCRenderer)
Provides:   perl(Wx::HtmlEasyPrinting)
Provides:   perl(Wx::HtmlFontCell)
Provides:   perl(Wx::HtmlHelpController)
Provides:   perl(Wx::HtmlLinkEvent)
Provides:   perl(Wx::HtmlLinkInfo)
Provides:   perl(Wx::HtmlListBox)
Provides:   perl(Wx::HtmlParser)
Provides:   perl(Wx::HtmlPrintout)
Provides:   perl(Wx::HtmlTag)
Provides:   perl(Wx::HtmlTagHandler)
Provides:   perl(Wx::HtmlWidgetCell)
Provides:   perl(Wx::HtmlWindow)
Provides:   perl(Wx::HtmlWinParser)
Provides:   perl(Wx::HtmlWinTagHandler)
Provides:   perl(Wx::HtmlWordCell)
Provides:   perl(Wx::HVScrolledWindow)
Provides:   perl(Wx::HyperlinkCtrl)
Provides:   perl(Wx::HyperlinkEvent)
Provides:   perl(Wx::ICOHandler)
Provides:   perl(Wx::Icon)
Provides:   perl(Wx::IconBundle)
Provides:   perl(Wx::IconizeEvent)
Provides:   perl(Wx::IconLocation)
Provides:   perl(Wx::IdleEvent)
Provides:   perl(Wx::IFFHandler)
Provides:   perl(Wx::Image)
Provides:   perl(Wx::ImageFileProperty)
Provides:   perl(Wx::ImageHandler)
Provides:   perl(Wx::ImageList)
Provides:   perl(Wx::IndividualLayoutConstraint)
Provides:   perl(Wx::InfoBar)
Provides:   perl(Wx::InitDialogEvent)
Provides:   perl(Wx::InputStream)
Provides:   perl(Wx::InternetFSHandler)
Provides:   perl(Wx::IntProperty)
Provides:   perl(Wx::IPaddress)
Provides:   perl(Wx::IPV4address)
Provides:   perl(Wx::IPV6address)
Provides:   perl(Wx::ItemContainer)
Provides:   perl(Wx::ItemContainerImmutable)
Provides:   perl(Wx::JoystickEvent)
Provides:   perl(Wx::JPEGHandler)
Provides:   perl(Wx::KeyEvent)
Provides:   perl(Wx::LanguageInfo)
Provides:   perl(Wx::LayoutConstraints)
Provides:   perl(Wx::Listbook)
Provides:   perl(Wx::ListBox)
Provides:   perl(Wx::ListCtrl)
Provides:   perl(Wx::ListEvent)
Provides:   perl(Wx::ListItem)
Provides:   perl(Wx::ListItemAttr)
Provides:   perl(Wx::ListView)
Provides:   perl(Wx::Locale)
Provides:   perl(Wx::Log)
Provides:   perl(Wx::LogChain)
Provides:   perl(Wx::LogFormatter)
Provides:   perl(Wx::LogGui)
Provides:   perl(Wx::LogNull)
Provides:   perl(Wx::LogPassThrough)
Provides:   perl(Wx::LogRecordInfo)
Provides:   perl(Wx::LogStderr)
Provides:   perl(Wx::LogTextCtrl)
Provides:   perl(Wx::LogWindow)
Provides:   perl(Wx::LongStringProperty)
Provides:   perl(Wx::Mask)
Provides:   perl(Wx::MaximizeEvent)
Provides:   perl(Wx::MDIChildFrame)
Provides:   perl(Wx::MDIParentFrame)
Provides:   perl(Wx::Media)
Provides:   perl(Wx::MediaCtrl)
Provides:   perl(Wx::MediaEvent)
Provides:   perl(Wx::MemoryDC)
Provides:   perl(Wx::MemoryFSHandler)
Provides:   perl(Wx::Menu)
Provides:   perl(Wx::MenuBar)
Provides:   perl(Wx::MenuEvent)
Provides:   perl(Wx::MenuItem)
Provides:   perl(Wx::MessageDialog)
Provides:   perl(Wx::MimeTypesManager)
Provides:   perl(Wx::MiniFrame)
Provides:   perl(Wx::MirrorDC)
Provides:   perl(Wx::MouseCaptureChangedEvent)
Provides:   perl(Wx::MouseCaptureLostEvent)
Provides:   perl(Wx::MouseEvent)
Provides:   perl(Wx::MoveEvent)
Provides:   perl(Wx::MultiChoiceDialog)
Provides:   perl(Wx::MultiChoiceProperty)
Provides:   perl(Wx::NativeFontInfo)
Provides:   perl(Wx::NavigationKeyEvent)
Provides:   perl(Wx::NewClass)
Provides:   perl(Wx::Notebook)
Provides:   perl(Wx::NotebookEvent)
Provides:   perl(Wx::NotebookSizer)
Provides:   perl(Wx::NotificationMessage)
Provides:   perl(Wx::NotifyEvent)
Provides:   perl(Wx::NumberEntryDialog)
Provides:   perl(Wx::OutputStream)
Provides:   perl(Wx::Overlay)
Provides:   perl(Wx::OwnerDrawnComboBox)
Provides:   perl(Wx::PageSetupDialog)
Provides:   perl(Wx::PageSetupDialogData)
Provides:   perl(Wx::PaintDC)
Provides:   perl(Wx::PaintEvent)
Provides:   perl(Wx::Palette)
Provides:   perl(Wx::Panel)
Provides:   perl(Wx::PasswordEntryDialog)
Provides:   perl(Wx::PCXHandler)
Provides:   perl(Wx::Pen)
Provides:   perl(Wx::PerlTestAbstractNonObject)
Provides:   perl(Wx::PerlTestAbstractObject)
Provides:   perl(Wx::PerlTestNonObject)
Provides:   perl(Wx::PerlTestObject)
Provides:   perl(Wx::PGArrayEditorDialog)
Provides:   perl(Wx::PGArrayStringEditorDialog)
Provides:   perl(Wx::PGCell)
Provides:   perl(Wx::PGCellRenderer)
Provides:   perl(Wx::PGCheckBoxEditor)
Provides:   perl(Wx::PGChoiceAndButtonEditor)
Provides:   perl(Wx::PGChoiceEditor)
Provides:   perl(Wx::PGChoiceEntry)
Provides:   perl(Wx::PGChoices)
Provides:   perl(Wx::PGChoicesData)
Provides:   perl(Wx::PGComboBoxEditor)
Provides:   perl(Wx::PGDatePickerCtrlEditor)
Provides:   perl(Wx::PGEditor)
Provides:   perl(Wx::PGEditorDialogAdapter)
Provides:   perl(Wx::PGFileDialogAdapter)
Provides:   perl(Wx::PGLongStringDialogAdapter)
Provides:   perl(Wx::PGMultiButton)
Provides:   perl(Wx::PGPGridInterfaceBase)
Provides:   perl(Wx::PGProperty)
Provides:   perl(Wx::PGSpinCtrlEditor)
Provides:   perl(Wx::PGTextCtrlAndButtonEditor)
Provides:   perl(Wx::PGTextCtrlEditor)
Provides:   perl(Wx::PGValidationInfo)
Provides:   perl(Wx::PGVIterator)
Provides:   perl(Wx::PGWindowList)
Provides:   perl(Wx::PickerBase)
Provides:   perl(Wx::PlArtProvider)
Provides:   perl(Wx::PlComboPopup)
Provides:   perl(Wx::PlCommand)
Provides:   perl(Wx::PlCommandEvent)
Provides:   perl(Wx::PlDataObjectSimple)
Provides:   perl(Wx::PlDataViewIndexListModel)
Provides:   perl(Wx::PlEvent)
Provides:   perl(Wx::PlEventFilter)
Provides:   perl(Wx::PlFileSystemHandler)
Provides:   perl(Wx::PlGridCellEditor)
Provides:   perl(Wx::PlGridCellRenderer)
Provides:   perl(Wx::PlHScrolledWindow)
Provides:   perl(Wx::PlHtmlListBox)
Provides:   perl(Wx::PlHtmlTagHandler)
Provides:   perl(Wx::PlHtmlWinTagHandler)
Provides:   perl(Wx::PlHVScrolledWindow)
Provides:   perl(Wx::PlLog)
Provides:   perl(Wx::PlLogFormatter)
Provides:   perl(Wx::PlLogPassThrough)
Provides:   perl(Wx::PlOwnerDrawnComboBox)
Provides:   perl(Wx::PlPopupTransientWindow)
Provides:   perl(Wx::PlPreviewControlBar)
Provides:   perl(Wx::PlPreviewFrame)
Provides:   perl(Wx::PlRichTextFileHandler)
Provides:   perl(Wx::PlSizer)
Provides:   perl(Wx::PlThreadEvent)
Provides:   perl(Wx::PlValidator)
Provides:   perl(Wx::PlVListBox)
Provides:   perl(Wx::PlVScrolledWindow)
Provides:   perl(Wx::PlWindow)
Provides:   perl(Wx::PlXmlResourceHandler)
Provides:   perl(Wx::PNGHandler)
Provides:   perl(Wx::PNMHandler)
Provides:   perl(Wx::Point)
Provides:   perl(Wx::PopupTransientWindow)
Provides:   perl(Wx::PopupWindow)
Provides:   perl(Wx::Position)
Provides:   perl(Wx::PowerEvent)
Provides:   perl(Wx::PreviewCanvas)
Provides:   perl(Wx::PreviewControlBar)
Provides:   perl(Wx::PreviewFrame)
Provides:   perl(Wx::PrintData)
Provides:   perl(Wx::PrintDialog)
Provides:   perl(Wx::PrintDialogData)
Provides:   perl(Wx::Printer)
Provides:   perl(Wx::PrinterDC)
Provides:   perl(Wx::PrintFactory)
Provides:   perl(Wx::Printout)
Provides:   perl(Wx::PrintPaperDatabase)
Provides:   perl(Wx::PrintPaperType)
Provides:   perl(Wx::PrintPreview)
Provides:   perl(Wx::Process)
Provides:   perl(Wx::ProcessEvent)
Provides:   perl(Wx::ProgressDialog)
Provides:   perl(Wx::PropertyAccessor)
Provides:   perl(Wx::PropertyCategory)
Provides:   perl(Wx::PropertyGrid)
Provides:   perl(Wx::PropertyGridEvent)
Provides:   perl(Wx::PropertyGridHitTestResult)
Provides:   perl(Wx::PropertyGridIterator)
Provides:   perl(Wx::PropertyGridManager)
Provides:   perl(Wx::PropertyGridPage)
Provides:   perl(Wx::PropertyInfo)
Provides:   perl(Wx::PropertySheetDialog)
Provides:   perl(Wx::RadioBox)
Provides:   perl(Wx::RadioButton)
Provides:   perl(Wx::RearrangeCtrl)
Provides:   perl(Wx::RearrangeDialog)
Provides:   perl(Wx::RearrangeList)
Provides:   perl(Wx::Rect)
Provides:   perl(Wx::RegConfig)
Provides:   perl(Wx::Region)
Provides:   perl(Wx::RegionIterator)
Provides:   perl(Wx::Ribbon)
Provides:   perl(Wx::RibbonArtProvider)
Provides:   perl(Wx::RibbonAUIArtProvider)
Provides:   perl(Wx::RibbonBar)
Provides:   perl(Wx::RibbonBarEvent)
Provides:   perl(Wx::RibbonButtonBar)
Provides:   perl(Wx::RibbonButtonBarButtonBase)
Provides:   perl(Wx::RibbonButtonBarEvent)
Provides:   perl(Wx::RibbonControl)
Provides:   perl(Wx::RibbonGallery)
Provides:   perl(Wx::RibbonGalleryEvent)
Provides:   perl(Wx::RibbonGalleryItem)
Provides:   perl(Wx::RibbonMSWArtProvider)
Provides:   perl(Wx::RibbonPage)
Provides:   perl(Wx::RibbonPanel)
Provides:   perl(Wx::RibbonToolBar)
Provides:   perl(Wx::RibbonToolBarEvent)
Provides:   perl(Wx::RibbonToolBarToolBase)
Provides:   perl(Wx::RichText)
Provides:   perl(Wx::RichTextAttr)
Provides:   perl(Wx::RichTextBuffer)
Provides:   perl(Wx::RichTextCharacterStyleDefinition)
Provides:   perl(Wx::RichTextCtrl)
Provides:   perl(Wx::RichTextEvent)
Provides:   perl(Wx::RichTextFileHandler)
Provides:   perl(Wx::RichTextFormattingDialog)
Provides:   perl(Wx::RichTextHeaderFooterData)
Provides:   perl(Wx::RichTextHTMLHandler)
Provides:   perl(Wx::RichTextListStyleDefinition)
Provides:   perl(Wx::RichTextParagraphStyleDefinition)
Provides:   perl(Wx::RichTextPrinting)
Provides:   perl(Wx::RichTextPrintout)
Provides:   perl(Wx::RichTextRange)
Provides:   perl(Wx::RichTextStyleComboCtrl)
Provides:   perl(Wx::RichTextStyleDefinition)
Provides:   perl(Wx::RichTextStyleListBox)
Provides:   perl(Wx::RichTextStyleListCtrl)
Provides:   perl(Wx::RichTextStyleOrganiserDialog)
Provides:   perl(Wx::RichTextStyleSheet)
Provides:   perl(Wx::RichTextXMLHandler)
Provides:   perl(Wx::RichToolTip)
Provides:   perl(Wx::SashEvent)
Provides:   perl(Wx::SashWindow)
Provides:   perl(Wx::ScreenDC)
Provides:   perl(Wx::ScrollBar)
Provides:   perl(Wx::ScrolledWindow)
Provides:   perl(Wx::ScrollEvent)
Provides:   perl(Wx::ScrollWinEvent)
Provides:   perl(Wx::SearchCtrl)
Provides:   perl(Wx::Server)
Provides:   perl(Wx::SetCursorEvent)
Provides:   perl(Wx::SettableHeaderColumn)
Provides:   perl(Wx::SimpleHelpProvider)
Provides:   perl(Wx::SimpleHtmlListBox)
Provides:   perl(Wx::SingleChoiceDialog)
Provides:   perl(Wx::SingleInstanceChecker)
Provides:   perl(Wx::Size)
Provides:   perl(Wx::SizeEvent)
Provides:   perl(Wx::Sizer)
Provides:   perl(Wx::SizerItem)
Provides:   perl(Wx::Slider)
Provides:   perl(Wx::SockAddress)
Provides:   perl(Wx::SocketBase)
Provides:   perl(Wx::SocketClient)
Provides:   perl(Wx::SocketEvent)
Provides:   perl(Wx::SocketServer)
Provides:   perl(Wx::Sound)
Provides:   perl(Wx::SpinButton)
Provides:   perl(Wx::SpinCtrl)
Provides:   perl(Wx::SpinCtrlDouble)
Provides:   perl(Wx::SpinEvent)
Provides:   perl(Wx::SplashScreen)
Provides:   perl(Wx::SplitterEvent)
Provides:   perl(Wx::SplitterWindow)
Provides:   perl(Wx::StandardPaths)
Provides:   perl(Wx::StaticBitmap)
Provides:   perl(Wx::StaticBox)
Provides:   perl(Wx::StaticBoxSizer)
Provides:   perl(Wx::StaticLine)
Provides:   perl(Wx::StaticText)
Provides:   perl(Wx::StatusBar)
Provides:   perl(Wx::StdDialogButtonSizer)
Provides:   perl(Wx::StopWatch)
Provides:   perl(Wx::Stream)
Provides:   perl(Wx::StringProperty)
Provides:   perl(Wx::StyledTextCtrl)
Provides:   perl(Wx::StyledTextEvent)
Provides:   perl(Wx::SVGFileDC)
Provides:   perl(Wx::SymbolPickerDialog)
Provides:   perl(Wx::SysColourChangedEvent)
Provides:   perl(Wx::SystemColourProperty)
Provides:   perl(Wx::SystemOptions)
Provides:   perl(Wx::SystemSettings)
Provides:   perl(Wx::TaskBarIcon)
Provides:   perl(Wx::TaskBarIconEvent)
Provides:   perl(Wx::TextAttr)
Provides:   perl(Wx::TextAttrEx)
Provides:   perl(Wx::TextCtrl)
Provides:   perl(Wx::TextCtrlBase)
Provides:   perl(Wx::TextCtrlIface)
Provides:   perl(Wx::TextDataObject)
Provides:   perl(Wx::TextDropTarget)
Provides:   perl(Wx::TextEntryDialog)
Provides:   perl(Wx::TextUrlEvent)
Provides:   perl(Wx::TGAHandler)
Provides:   perl(Wx::Thread)
Provides:   perl(Wx::TIFFHandler)
Provides:   perl(Wx::TimePickerCtrl)
Provides:   perl(Wx::Timer)
Provides:   perl(Wx::TimerEvent)
Provides:   perl(Wx::TimeSpan)
Provides:   perl(Wx::TipProvider)
Provides:   perl(Wx::ToggleButton)
Provides:   perl(Wx::ToolBar)
Provides:   perl(Wx::ToolBarBase)
Provides:   perl(Wx::ToolBarToolBase)
Provides:   perl(Wx::Toolbook)
Provides:   perl(Wx::ToolTip)
Provides:   perl(Wx::TopLevelWindow)
Provides:   perl(Wx::Treebook)
Provides:   perl(Wx::TreebookEvent)
Provides:   perl(Wx::TreeCtrl)
Provides:   perl(Wx::TreeEvent)
Provides:   perl(Wx::TreeItemData)
Provides:   perl(Wx::TreeItemId)
Provides:   perl(Wx::TreeListCtrl)
Provides:   perl(Wx::TreeListEvent)
Provides:   perl(Wx::TreeListItem)
Provides:   perl(Wx::TreeListItemComparator)
Provides:   perl(Wx::TypeInfo)
Provides:   perl(Wx::UIActionSimulator)
Provides:   perl(Wx::UIntProperty)
Provides:   perl(Wx::UNIXaddress)
Provides:   perl(Wx::UpdateUIEvent)
Provides:   perl(Wx::URLDataObject)
Provides:   perl(Wx::Validator)
Provides:   perl(Wx::VarHScrollHelper)
Provides:   perl(Wx::VarHVScrollHelper)
Provides:   perl(Wx::Variant)
Provides:   perl(Wx::VarScrollHelperBase)
Provides:   perl(Wx::VarVScrollHelper)
Provides:   perl(Wx::VideoMode)
Provides:   perl(Wx::View)
Provides:   perl(Wx::VListBox)
Provides:   perl(Wx::VScrolledWindow)
Provides:   perl(Wx::Wave)
Provides:   perl(Wx::WebView)
Provides:   perl(Wx::WebViewArchiveHandler)
Provides:   perl(Wx::WebViewEvent)
Provides:   perl(Wx::WebViewHandler)
Provides:   perl(Wx::WebViewHistoryItem)
Provides:   perl(Wx::Window)
Provides:   perl(Wx::WindowCreateEvent)
Provides:   perl(Wx::WindowDC)
Provides:   perl(Wx::WindowDestroyEvent)
Provides:   perl(Wx::WindowDisabler)
Provides:   perl(Wx::WindowUpdateLocker)
Provides:   perl(Wx::WinHelpController)
Provides:   perl(Wx::Wizard)
Provides:   perl(Wx::WizardEvent)
Provides:   perl(Wx::WizardPage)
Provides:   perl(Wx::WizardPageSimple)
Provides:   perl(Wx::WrapSizer)
Provides:   perl(Wx::XmlAttribute)
Provides:   perl(Wx::XmlDocument)
Provides:   perl(Wx::XmlNode)
Provides:   perl(Wx::XmlProperty)
Provides:   perl(Wx::XmlResource)
Provides:   perl(Wx::XmlResourceHandler)
Provides:   perl(Wx::XmlSubclassFactory)
Provides:   perl(Wx::XPMHandler)
Provides:   perl(Wx::ZipFSHandler)

%description
The Wx module is a wrapper for the wxWidgets (formerly known as wxWindows)
GUI toolkit.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
WX_CONFIG=/usr/bin/wx-config-unicode %__perl Makefile.PL INSTALLDIRS=vendor
%make_build "CFLAGS=%{optflags}"

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml XS samples
%{perl_vendorarch}/Wx.pm
%{perl_vendorarch}/Wx
%{perl_vendorarch}/auto/Wx
%{_mandir}/*/*
%{_bindir}/*


%changelog
* Thu Aug 22 2024 neoclust <neoclust> 0.993.200-14.mga10
+ Revision: 2088260
- Rebuild against new perl

* Thu Nov 30 2023 tv <tv> 0.993.200-13.mga10
+ Revision: 2011576
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.993.200-12.mga9
+ Revision: 1862614
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.993.200-11.mga9
+ Revision: 1839524
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.993.200-10.mga9
+ Revision: 1727315
- Rebuild for perl 5.34

* Wed Jun 17 2020 umeabot <umeabot> 0.993.200-9.mga8
+ Revision: 1595306
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.993.200-8.mga8
+ Revision: 1530171
- Mageia 8 Mass Rebuild

* Tue Aug 27 2019 tmb <tmb> 0.993.200-7.mga8
+ Revision: 1433949
- rebuild for perl 5.30

* Tue Aug 27 2019 tv <tv> 0.993.200-6.mga8
+ Revision: 1433261
- BR perl-ExtUtils-MakeMaker
- rebuild with perl-5.30
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.993.200-4.mga7
+ Revision: 1294002
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.993.200-3.mga7
+ Revision: 1250366
- Rebuild for perl 5.28

* Thu Oct 12 2017 tv <tv> 0.993.200-2.mga7
+ Revision: 1171247
- rebuild for new perl ABI

* Tue Jul 25 2017 sander85 <sander85> 0.993.200-1.mga7
+ Revision: 1130383
- update to 0.9932
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sat Feb 18 2017 cjw <cjw> 0.992.700-7.mga6
+ Revision: 1086769
- rebuild for removed wxgtk2.8 media library

* Sun Jun 19 2016 pterjan <pterjan> 0.992.700-6.mga6
+ Revision: 1035876
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.992.700-5.mga6
+ Revision: 962050
- Mageia 6 Mass Rebuild

* Fri Oct 16 2015 tv <tv> 0.992.700-4.mga6
+ Revision: 892234
- rebuild with latest wxgtk (should fix breakages in other packages testsuite

* Fri Jun 26 2015 tv <tv> 0.992.700-2.mga6
+ Revision: 845522
- rebuild for soname-ifed perl

* Tue Jun 23 2015 sander85 <sander85> 0.992.700-1.mga6
+ Revision: 840779
- update to 0.9927

* Wed Oct 15 2014 umeabot <umeabot> 0.992.300-5.mga5
+ Revision: 746666
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.992.300-4.mga5
+ Revision: 732004
- add missing provides

* Tue Sep 16 2014 umeabot <umeabot> 0.992.300-3.mga5
+ Revision: 686885
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.992.300-2.mga5
+ Revision: 632352
- perl 5.20.0 rebuild

* Fri Apr 18 2014 jquelin <jquelin> 0.992.300-1.mga5
+ Revision: 616445
- update to 0.9923

* Sat Oct 19 2013 umeabot <umeabot> 0.992.200-2.mga4
+ Revision: 525324
- Mageia 4 Mass Rebuild

* Thu May 30 2013 fwang <fwang> 0.992.200-1.mga4
+ Revision: 433062
- new version 0.9922
+ jquelin <jquelin>
- perl 5.18.0 rebuild
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.991.400-2.mga3
+ Revision: 374867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 03 2012 jquelin <jquelin> 0.991.400-1.mga3
+ Revision: 302390
- update to 0.9914

* Mon Oct 01 2012 jquelin <jquelin> 0.991.300-1.mga3
+ Revision: 301370
- update to 0.9913

* Fri Sep 28 2012 jquelin <jquelin> 0.991.200-1.mga3
+ Revision: 299013
- update to 0.9912

* Mon Sep 17 2012 jquelin <jquelin> 0.991.100-1.mga3
+ Revision: 295207
- update to 0.9911

* Tue Jun 05 2012 jquelin <jquelin> 0.990.900-1.mga3
+ Revision: 255701
- update to 0.9909

* Wed May 30 2012 jquelin <jquelin> 0.990.400-2.mga3
+ Revision: 251320
- rebuild for perl 5.16

* Mon Mar 05 2012 jquelin <jquelin> 0.990.400-1.mga2
+ Revision: 218955
- update to 0.9904

* Thu Nov 10 2011 kharec <kharec> 0.990.300-1.mga2
+ Revision: 166290
- update to 0.9903

* Fri Oct 14 2011 jquelin <jquelin> 0.990.200-1.mga2
+ Revision: 154907
- update to 0.9902
+ ahmad <ahmad>
- Rebuild against wxgtk2.8 with enabled catch_segvs

* Fri Jun 17 2011 jquelin <jquelin> 0.990.100-1.mga2
+ Revision: 109170
- update to 0.9901

* Sun Jun 12 2011 sander85 <sander85> 0.980.0-2.mga2
+ Revision: 105141
- Rebuild for perl 5.14

* Sun Jan 23 2011 jquelin <jquelin> 0.980.0-1.mga1
+ Revision: 34468
- mageia rebuild
- imported package perl-Wx


* Mon Aug 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.980.0-1mdv2011.0
+ Revision: 572267
- update to 0.98

* Wed Jul 21 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.200-3mdv2011.0
+ Revision: 556370
- change min version in buildrequires
- add minimum version in buildrequires:
- rebuild for perl 5.12
- rebuild

* Tue Jul 13 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.200-1mdv2011.0
+ Revision: 552496
- update to 0.9702

* Fri Apr 23 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.100-2mdv2010.1
+ Revision: 538298
- adding missing provides:

* Fri Feb 12 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.100-1mdv2010.1
+ Revision: 504496
- update to 0.9701

* Wed Feb 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.970.0-1mdv2010.1
+ Revision: 503737
- update to 0.97

* Sun Jan 10 2010 Jérôme Quelin <jquelin@mandriva.org> 0.960.0-1mdv2010.1
+ Revision: 488854
- update to 0.96

* Wed Dec 30 2009 Jérôme Quelin <jquelin@mandriva.org> 0.950.0-1mdv2010.1
+ Revision: 483880
- update to 0.95

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.940.0-1mdv2010.1
+ Revision: 463145
- update to 0.94

* Fri Sep 25 2009 Jérôme Quelin <jquelin@mandriva.org> 0.930.0-1mdv2010.0
+ Revision: 448609
- update to 0.93

* Tue Aug 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.920.0-1mdv2010.0
+ Revision: 415113
- update to 0.92

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 0.910.0-1mdv2010.0
+ Revision: 408101
- rebuild using %%perl_convert_version

* Sat Jul 25 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-3mdv2010.0
+ Revision: 399635
- rebuild with fixed perl-Alien-wxWidgets package (fix #45256)

* Wed Jun 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.91-2mdv2010.0
+ Revision: 386781
- adding missing provides:

* Mon May 18 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.91-1mdv2010.0
+ Revision: 376915
- update to new version 0.91

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90-1mdv2010.0
+ Revision: 374344
- update to new version 0.90

* Sat May 09 2009 Jérôme Quelin <jquelin@mandriva.org> 0.89-4mdv2010.0
+ Revision: 373698
- forcing rebuild

* Sun Feb 15 2009 Jérôme Quelin <jquelin@mandriva.org> 0.89-3mdv2009.1
+ Revision: 340471
- removing non-unicode dependency

* Sat Feb 14 2009 Olivier Thauvin <nanardon@mandriva.org> 0.89-2mdv2009.1
+ Revision: 340292
- fix buildrequires

  + Jérôme Quelin <jquelin@mandriva.org>
    - fix bug #47728: part two

* Mon Dec 08 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.89-1mdv2009.1
+ Revision: 311972
- update to new version 0.89

* Mon Nov 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.88-1mdv2009.1
+ Revision: 301684
- update to new version 0.88

* Sun Nov 09 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.87-1mdv2009.1
+ Revision: 301381
- update to new version 0.87

* Fri Sep 05 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.86-1mdv2009.0
+ Revision: 281120
- update to new version 0.86

* Mon Sep 01 2008 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.85-1mdv2009.0
+ Revision: 278093
- Add sources
- New version 0.85

* Sat Aug 23 2008 Olivier Thauvin <nanardon@mandriva.org> 0.84-2mdv2009.0
+ Revision: 275366
- fix #43053

* Mon Jun 30 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.84-1mdv2009.0
+ Revision: 230284
- update to new version 0.84

* Wed May 21 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.83-1mdv2009.0
+ Revision: 209845
- new version

* Tue Apr 15 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.82-1mdv2009.0
+ Revision: 193956
- update to new version 0.82

* Sun Feb 10 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.81-1mdv2008.1
+ Revision: 164876
- new version

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 0.27-2mdv2008.1
+ Revision: 152411
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Dec 17 2007 Thierry Vignaud <tv@mandriva.org> 0.27-1mdv2008.1
+ Revision: 123985
- kill re-definition of %%buildroot on Pixel's request


* Mon Apr 03 2006 Guillaume Rousse <guillomovitch@mandriva.org> 0.27-1mdk
- New release 0.27
- spec cleanup
- fix directory ownership

* Thu Dec 15 2005 Rafael Garcia-Suarez <rgarciasuarez@mandriva.com> 0.26-1mdk
- 0.26
- Require most recent wxGTK

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-1mdk
- 0.25

* Fri Mar 18 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.22-1mdk
- first mdk release (by trem, <trem@zarb.org>)

